.\"	$NetBSD: kg.4,v 1.12 2003/08/07 10:31:13 agc Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)kg.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt KG 4 vax
.Os
.Sh NAME
.Nm kg
.Nd
.Tn KL-11 Ns / Ns Tn DL-11W
line clock
.Sh SYNOPSIS
.Cd "kg0 at uba0 csr 0176500 vector kglock"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
A
.Tn KL-11
or
.Tn DL-11W
can be used as an alternative real
time clock
source.  When configured, certain system
statistics and, optionally, system profiling work
will be collected each time the clock interrupts.  For
optimum accuracy in profiling, the
.Tn DL-11W
should be
configured to interrupt at the highest possible priority
level.  The
.Nm kg
device driver automatically calibrates itself to the
line clock frequency.
.Sh SEE ALSO
.Xr config 1 ,
.Xr kgmon 8
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.2 .
